Subject: Re: [PATCH] NET: Multiqueue network device support.

From: jamal <[email-masked]>
Date: Fri, 08 Jun 2007 07:34:57 -0400

On Fri, 2007-08-06 at 20:39 +1000, Herbert Xu wrote:

> It would guard against the poll routine which would acquire this lock
> when cleaning the TX ring.

Ok, then i suppose we can conclude it is a bug on e1000 (holds tx_lock
on tx side and adapter queue lock on rx). Adding that lock will
certainly bring down the performance numbers on a send/recv profile.
The bizare thing is things run just fine even under the heavy tx/rx
traffic i was testing under. I guess i didnt hit hard enough.

cheers,
jamal